#!/usr/bin/env sh

topic="${1:-webinar}"
interval="${2:-5}"
min="${3:-1}"
max="${4:-100}"

# A very simple publisher that randomly publishes some number between
# [<min>,<max>] every <interval> seconds.
while true; do
  sleep "$interval"
  rand_no="$(awk -v min="$min" -v max="$max" 'BEGIN{srand(); print int(min+rand()*(max-min+1))}')"
  mosquitto_pub -h "$MOSQUITTO_HOST" -t "$topic" -m "$rand_no"
done